# libdar::ou_mask Class Reference
[API]

makes the *OR* operator between two or more masks More...

`#include <mask.hpp>`

Inherits libdar::et_mask.

List of all members.

## Public Member Functions
bool | is_covered (const std::string &expression) const
| inherited from the mask class
mask * | clone () const
| inherited from the mask class

## Detailed Description

makes the *OR* operator between two or more masks

this mask has exactly the same use as the et_mask please see the et_mask documentation. The only difference is that it makes an *OR* operation rather than an *AND* with the masks added thanks to the add_mask method

Definition at line 260 of file mask.hpp.

The documentation for this class was generated from the following file:

- mask.hpp